"""empty message

Revision ID: 7f5849fd6bb7
Revises: 43c9fc004ff6
Create Date: 2019-01-23 12:45:52.359316

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '7f5849fd6bb7'
down_revision = '43c9fc004ff6'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('records', sa.Column('created_at', sa.DateTime(), nullable=True))
    op.add_column('records', sa.Column('last_updateda_at', sa.DateTime(), nullable=True))
    op.create_index(op.f('ix_records_created_at'), 'records', ['created_at'], unique=False)
    op.create_index(op.f('ix_records_last_updateda_at'), 'records', ['last_updateda_at'], unique=False)
    op.drop_index('ix_records_created', table_name='records')
    op.drop_index('ix_records_updated', table_name='records')
    op.drop_column('records', 'created')
    op.drop_column('records', 'updated')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('records', sa.Column('updated', mysql.DATETIME(), nullable=True))
    op.add_column('records', sa.Column('created', mysql.DATETIME(), nullable=True))
    op.create_index('ix_records_updated', 'records', ['updated'], unique=False)
    op.create_index('ix_records_created', 'records', ['created'], unique=False)
    op.drop_index(op.f('ix_records_last_updateda_at'), table_name='records')
    op.drop_index(op.f('ix_records_created_at'), table_name='records')
    op.drop_column('records', 'last_updateda_at')
    op.drop_column('records', 'created_at')
    # ### end Alembic commands ###
